<div class="container">
    <div class="row justify-content-center margin-bottom-50px">
        <h4>Statistics</h4>
    </div>
    <div class="row margin-bottom-50px">
        <div class="col-3">
            ACCOUNT NAME:
        </div>
        <div class="col-3">
            {{this.account?.name}}
        </div>
        <div class="col-3">
            ACCOUNT BALLANCE:
        </div>
        <div class="col-3">
            {{this.account?.balance}}
        </div>
    </div>
    <form (ngSubmit)="fetchStatistics()" [formGroup]="statisticsForm">
        <mat-form-field class="col-lg-4">
            <input [matDatepicker]="since" autocomplete="off" formControlName="since" matInput
                   placeholder="Since" [disableControl]="this.requestPending()">
            <mat-datepicker-toggle [for]="since" matSuffix></mat-datepicker-toggle>
            <mat-datepicker #since></mat-datepicker>
        </mat-form-field>
        <mat-form-field class="col-lg-4">
            <input [matDatepicker]="until" autocomplete="off" formControlName="until" matInput
                   placeholder="Until" [disableControl]="this.requestPending()">
            <mat-datepicker-toggle [for]="until" matSuffix></mat-datepicker-toggle>
            <mat-datepicker #until></mat-datepicker>
        </mat-form-field>
        <div class="col-lg-2 col-lg-offset-1" style="display: inline-block !important">
            <button [disabled]="!statisticsForm.valid || this.requestPending()"
                    mat-raised-button color="primary"
                    class="btn btn-block btn-success"
                    type="submit">Fetch
            </button>
        </div>
    </form>
    <table class="table table-sm table-bordered table-hover">
        <thead class="thead-dark">
        <tr class="d-flex">
            <div class="col-4">Follow:</div>
            <div class="col-4">Name:</div>
            <div class="col-4">Spent:</div>
        </tr>
        </thead>
        <tbody>
        <div class="container" *ngFor="let statistic of this.statisticsSummary?.statistics">
            <tr *ngIf="!!statistic.sum" class="d-flex">
                <td class="col-4">
                    <button (click)="this.proceedToFullData(statistic.categoryId)"
                            class="btn btn-info btn-xtrasmall">
                        <i class="fa fa-external-link" aria-hidden="true"></i>
                    </button>
                </td>
                <td class="col-4">{{statistic.categoryName}}</td>
                <td class="col-4">{{statistic.sum}}</td>
            </tr>
        </div>
        </tbody>
    </table>
</div>
